dein が Vim 7.4 をサポートしなくなったので CentOS 7 で Vim を 8.0 に更新

dein が CentOS 7 でデフォルトになっている Vim 7.4 をサポートしなくなったので Vim 8.0 にバージョン更新することにしました。以下のコマンドでyumレポジトリを追加してインストールできるらしい。

$ sudo curl -L https://copr.fedorainfracloud.org/coprs/mcepl/vim8/repo/epel-7/mcepl-vim8-epel-7.repo -o /etc/yum.repos.d/mcepl-vim8-epel-7.repo

レポジトリが追加できたら、vim-*を一度アンインストールしてから再度インストールすることで更新できた。

$ sudo yum remove vim vim-*
$ sudo yum install vim

未分類

Posted by tanitanin